com.sun.source.tree

## Interface ExpressionTree

All Superinterfaces:
  Tree

All Known Subinterfaces:
  AnnotatedTypeTree, AnnotationTree, ArrayAccessTree, AssignmentTree, BinaryTree, CompoundAssignmentTree, ConditionalExpressionTree, ErroneousTree, IdentifierTree, InstanceOfTree, LambdaExpressionTree, LiteralTree, MemberReferenceTree, MemberSelectTree, MethodInvocationTree, NewArrayTree, NewClassTree, ParenthesizedTree, TypeCastTree, UnaryTree

    @Exported
    public interface ExpressionTree
    extends Tree

A tree node used as the base class for the different types of expressions.

Since:
  1.6
See The Java™ Language Specification:
  chapter 15

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`